/*VASP Data Viewer - Views 3d data sets of molecular charge distribution
  Copyright (C) 1999-2001 Timothy B. Terriberry
  (mailto:tterribe@users.sourceforge.net)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA*/
#include "ds3.h"
#if !defined(_ds3vasp_H)
# define _ds3vasp_H (1)

# define DS3_VASP_BLOCK_SIZE (8192)

/*Reads data files generated by the Vienna Ab-initio Simulation Package*/
typedef struct DS3VaspReader DS3VaspReader;

struct DS3VaspReader{
 DataSet3D *ds3;
 FILE      *in;
 size_t     npoints;
 size_t     k;};

/*Reads the VASP header, and sets up for reading the data asynchronously*/
int ds3VaspReaderInit(DS3VaspReader *_this,DataSet3D *_ds3,FILE *_in);
/*Reads a block of data from the VASP file*/
int ds3VaspReaderRead(DS3VaspReader *_this);
/*Cancels a read in progress*/
int ds3VaspReaderCancel(DS3VaspReader *_this);

#endif                                                                /*_ds3_C*/